<?php
include 'session.php';
include 'topbar.php';
include 'database.php';
$user = $_SESSION['username'];

mysqli_set_charset($conn, 'UTF8');

if (isset($_POST['update'])) {
    $id = $_POST['update'];
    $selection = $_POST['selection'];

    $sql = "UPDATE withdraw SET status = '$selection' WHERE id='$id'";
    if ($conn->query($sql) === TRUE) {
        echo '<script language="javascript">';
        echo 'alert("Withdraw request approved successfully!")';
        echo '</script>';
    } else {
        echo '<script language="javascript">';
        echo 'alert("Unable to approve the request!")';
        echo '</script>';
    }
}

$s = "SELECT withdraw.id, withdraw.user_id, withdraw.payout_mode, withdraw.payout_amount, withdraw.payout_id, withdraw.date, withdraw.status, users.email
FROM withdraw
JOIN users ON withdraw.user_id = users.id
ORDER BY (CASE WHEN withdraw.status = 'Pending' THEN 0 ELSE 1 END), withdraw.status";
$result = mysqli_query($conn, $s);
?>

<!-- Rest of the HTML code -->

<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="apple-touch-icon" sizes="76x76" href="../assets/img/apple-icon.png">
  <link rel="icon" type="image/png" href="assets/img/favicon.png">
  <title>
     Admin Dashboard
  </title>
  <!--     Fonts and icons     -->
  <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900|Roboto+Slab:400,700" />
  <!-- Nucleo Icons -->
  <link href="./assets/css/nucleo-icons.css" rel="stylesheet" />
  <link href="./assets/css/nucleo-svg.css" rel="stylesheet" />
  <!-- Font Awesome Icons -->
  <script src="https://kit.fontawesome.com/42d5adcbca.js" crossorigin="anonymous"></script>
  <!-- Material Icons -->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons+Round" rel="stylesheet">
  <!-- CSS Files -->
  <link id="pagestyle" href="../assets/css/material-dashboard.css?v=3.0.0" rel="stylesheet" />
  <style>
  .styled-table {
    margin: 25px 0;
    padding: 25px 0;
    font-size: 0.9em;
    font-family: sans-serif;
    width: 100%;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    border: 1px solid DarkOrange;
  border-radius: 13px; 
  border-spacing: 0;
}
.styled-table thead tr {
    background-color: #009879;
    color: #ffffff;
    text-align: left;
}
.styled-table th,
.styled-table td {
    padding: 12px 15px;
}
.styled-table tbody tr {
    border-bottom: 1px solid #dddddd;
}

.styled-table tbody tr:nth-of-type(even) {
    background-color: #f3f3f3;
}

.styled-table tbody tr:last-of-type {
    border-bottom: 2px solid #009879;
    border-right: 2px solid #009879;
    border-left: 2px solid #009879;
}
.styled-table tbody tr.active-row {
    font-weight: bold;
    color: #009879;
}
.container{
     
     margin: 0; auto;
     justify-content: center;
     overflow-x: auto;
     margin-top:20px;

}
body{
      font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
   }
   table {
      border-spacing: 0;
      width: 100%;
   }
   th, td {
      text-align: left;
      padding: 8px;
      border: 1px solid white;  
border-color:#ff0000;
   }
   .button {
  background-color: #4CAF50; /* Green */
  border: none;
  color: white;
  padding: 8px 30px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  border-radius: 12px;
  font-size: 16px;
}
  </style>
</head>

<body class="g-sidenav-show  bg-gray-200">
  <div class="container">
    <h3>Withdraw requests</h3>
        </div>
        <div>
        
  <div class="row">
    <div class="col-12">
        <div class="container">
            <form method="post" action="" enctype="multipart/form-data">
            <table class="styled-table">
		  <thead>
		    <tr>
		        <th scope="col">ID</th>
		      <th scope="col">User</th>
		      <th scope="col">Amount</th>
		      <th scope="col">Payout Mode</th>
		      <th scope="col">Payout ID</th>
		      <th scope="col">Date</th>
		      <th scope="col">Status</th>
		      <th scope="col">Action</th>
		      <th scope="col">SAVE</th>
		      <th scope="col">Send Notification</th>
		    </tr>
		  </thead>
		      <?php foreach ($result as $result): ?>
		      
		      <tbody>
		    <tr>
		      <td><?php echo $result['id'];?></td>
		      <td><?php echo $result['email'];?></td>
		      <td><?php echo $result['payout_amount'];?></td>
		      <td><?php echo $result['payout_mode'];?></td>
		      <td><?php echo $result['payout_id'];?></td>
		      <td><?php echo $result['date'];?></td>
		      <td><?php echo $result['status'];?></td>
		      <td>
       <select id="counts" name="selection">
               <option value="Approved">ACCEPT</option>
               <option value="Rejected">REJECT</option>
       </select></td>
		      <td><button type="submit" class="button" name="update" value="<?php echo $result['id'];?>">SUBMIT</button></td>
		      <td><button type="submit" class="button" formaction="notification-to-user.php" name="email" value="<?php echo $result['email'];?>">Send</button></td>
		    </tr>
		  </tbody>
		       
		      <?php endforeach; ?>
	
		</table>   
		</form>
    </div>
  </div>
</div>
</div>
      <footer>
          <?php include 'footer.php';?>
      </footer>
</body>

</html>