<?php
// Include database.php file
require_once 'database.php';

// Check if user_id, camp_id, camp_coin, camp_title, camp_desc, camp_icon, camp_about, camp_status are provided via POST method
if (isset($_POST['user_id']) && isset($_POST['camp_id']) && isset($_POST['camp_coin'])
    && isset($_POST['camp_title']) && isset($_POST['camp_desc']) && isset($_POST['camp_icon'])
    && isset($_POST['camp_about']) && isset($_POST['camp_status'])) {
    // Get values from POST data
    $user_id = $_POST['user_id'];
    $camp_id = $_POST['camp_id'];
    $camp_coin = $_POST['camp_coin'];
    $camp_title = $_POST['camp_title'];
    $camp_desc = $_POST['camp_desc'];
    $camp_icon = $_POST['camp_icon'];
    $camp_about = $_POST['camp_about'];
    $camp_status = $_POST['camp_status'];

    // Check if the combination of user_id and camp_id is already inserted in the history table
    $checkQuery = "SELECT id FROM history WHERE user_id = '$user_id' AND camp_id = '$camp_id'";
    $checkResult = $conn->query($checkQuery);

    if ($checkResult->num_rows == 0) {
        // The combination of user_id and camp_id is not inserted, so insert the data into the history table
        $insertQuery = "INSERT INTO history (user_id, camp_id, camp_coin, camp_title, camp_desc, camp_icon, camp_about, camp_status)
                        VALUES ('$user_id', '$camp_id', '$camp_coin', '$camp_title', '$camp_desc', '$camp_icon', '$camp_about', '$camp_status')";

        if ($conn->query($insertQuery) === TRUE) {
            // Data inserted successfully
            $response = [
                'status' => 'success',
                'message' => 'Data inserted into history table successfully'
            ];
        } else {
            // Failed to insert data
            $response = [
                'status' => 'error',
                'message' => 'Failed to insert data into history table'
            ];
        }
    } else {
        // The combination of user_id and camp_id is already inserted
        $response = [
            'status' => 'error',
            'message' => 'Data for the combination of user_id and camp_id already exists in history table'
        ];
    }
} else {
    // Required parameters not provided
    $response = [
        'status' => 'error',
        'message' => 'Invalid request, missing required parameters'
    ];
}

// Convert the response to JSON and output it
echo json_encode($response);
?>
