<?php

include('database.php');

if ($_SERVER["REMOTE_ADDR"] == "52.0.65.65") {

    $user_id = $_GET['user_id'];
    $offer_id = $_GET['offer_id'];
    $offer_coin = $_GET['offer_coin'];

    // Sanitize the input data to prevent SQL injection
    $user_id = mysqli_real_escape_string($conn, $user_id);
    $offer_id = mysqli_real_escape_string($conn, $offer_id);
    $offer_coin = mysqli_real_escape_string($conn, $offer_coin);

    // Get user data from the users table
    $user_query = "SELECT id, wallet, onesignal_id FROM users WHERE id = '$user_id'";
    $user_result = mysqli_query($conn, $user_query);
    $user_row = mysqli_fetch_assoc($user_result);

    if ($user_row) {
        $user_wallet = (int)$user_row['wallet'];
        $user_onesignal = $user_row['onesignal_id'];

        // Update user's wallet with the offer_coin value
        $updated_wallet = $user_wallet + (int)$offer_coin;
        $update_wallet_query = "UPDATE users SET wallet = '$updated_wallet' WHERE id = '$user_id'";
        $update_wallet_result = mysqli_query($conn, $update_wallet_query);

        // Check if the wallet update was successful
        if ($update_wallet_result) {
            // Update the history table's camp_status to true for the corresponding user_id and camp_id
            $update_history_query = "UPDATE history SET camp_status = 'true' WHERE user_id = '$user_id' AND camp_id = '$offer_id'";
            $update_history_result = mysqli_query($conn, $update_history_query);

            // Get the camp_title and camp_icon from the history table
            $offer_title_query = "SELECT camp_title, camp_icon FROM history WHERE user_id = '$user_id' AND camp_id = '$offer_id'";
            $offer_title_result = mysqli_query($conn, $offer_title_query);
            $offer_title_row = mysqli_fetch_assoc($offer_title_result);

            if ($offer_title_row) {
                $offer_title = $offer_title_row['camp_title'];
                $offer_icon = $offer_title_row['camp_icon'];

                // Insert into the transactions table
                $date = date("d F, Y");// Current date
                $insert_transaction_query = "INSERT INTO transactions (user_id, title, coin, type, date) VALUES ('$user_id', '$offer_title', '$offer_coin', 1, '$date')";
                $insert_transaction_result = mysqli_query($conn, $insert_transaction_query);

                // Send notification to the user using OneSignal
                $content = array(
                    "en" => "Offer completed and you earned $offer_coin Coins."
                );

                $headings = array(
                    "en" => $offer_title // Use camp_title as the notification heading
                );

                $data = array(
                    "foo" => "bar",
                    "image" => $offer_icon // Add the offer_icon URL as small image
                );

                $fields = array(
                    'app_id' => "e53414cb-72e2-4c86-a8de-8d35248f9dfa",
                    'include_player_ids' => array($user_onesignal),
                    'data' => $data,
                    'contents' => $content,
                    'headings' => $headings
                );

                $fields = json_encode($fields);

                $ch = curl_init();
                curl_setopt($ch, CURLOPT_URL, "https://onesignal.com/api/v1/notifications");
                curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8',
                    'Authorization: Basic MzIwODViMjYtOWRiOS00MzYxLThlMGEtOTZhNzJlMDI1MmEy'));
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($ch, CURLOPT_HEADER, false);
                curl_setopt($ch, CURLOPT_POST, true);
                curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
                curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

                $response = curl_exec($ch);
                curl_close($ch);
            } else {
                echo "Error: Offer details not found in the history table.";
            }
        } else {
            echo "Error: Wallet update failed.";
        }
    } else {
        echo "Error: User not found in the users table.";
    }

}

mysqli_close($link);
?>
