<?php
// Include database.php file
require_once 'database.php';

// Retrieve data from the slider table
$query = "SELECT id, img_url, link FROM slider ORDER BY id DESC";
$result = $conn->query($query);

if ($result->num_rows > 0) {
    $sliderData = array();
    while ($row = $result->fetch_assoc()) {
        // Fetch each row and add it to the sliderData array
        $sliderData[] = $row;
    }
    
    // Response with success and slider data
    $response = [
        'status' => 'success',
        'message' => 'Slider data retrieved successfully',
        'slider_data' => $sliderData
    ];
} else {
    // No data found in the slider table
    $response = [
        'status' => 'error',
        'message' => 'No slider data found'
    ];
}

// Convert the response to JSON and output it
echo json_encode($response);
?>
