<?php
// Include your database connection file
include('database.php');

// Get the data from POST method
if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $email = $_POST['email'];
    $coin = $_POST['coin'];
    $amount = $_POST['amount'];
    $mode = $_POST['mode'];
    $payout_id = $_POST['payout_id'];

    // Get user ID and wallet from users table
    $user_query = "SELECT id, wallet FROM users WHERE email = '$email'";
    $user_result = mysqli_query($conn, $user_query);
    $user_row = mysqli_fetch_array($user_result);
    $user_id = $user_row['id'];
    $wallet = $user_row['wallet'];

    // Check if the user has any previous withdraw request in Pending status
    $previous_request_query = "SELECT COUNT(*) AS count FROM withdraw WHERE user_id = '$user_id' AND status = 'Pending'";
    $previous_request_result = mysqli_query($conn, $previous_request_query);
    $previous_request_row = mysqli_fetch_array($previous_request_result);
    $previous_request_count = $previous_request_row['count'];

    if ($previous_request_count > 0) {
        // User already has a withdraw request in Pending status
        $response = array("status" => "error", "message" => "You already have a withdraw request in pending status. Please wait for it to be approved before making another request.");
        echo json_encode($response);
    } else {
        // Check if the user has sufficient coins for withdrawal
        if ($wallet >= $coin) {
            $date = date("d F, Y");// Current date
            // Insert withdraw request into withdraw table
            $insert_query = "INSERT INTO withdraw (user_id, payout_amount, payout_mode, payout_id, date, status) VALUES ('$user_id', '$amount', '$mode', '$payout_id', '$date', 'Pending')";
            mysqli_query($conn, $insert_query);

            // Deduct coins from the user's wallet
            $updated_wallet = $wallet - $coin;
            $update_wallet_query = "UPDATE users SET wallet = '$updated_wallet' WHERE id = '$user_id'";
            mysqli_query($conn, $update_wallet_query);

            // Insert transaction log for the withdrawal request
            $transaction_query = "INSERT INTO transactions (user_id, title, coin, type, date) VALUES ('$user_id', 'Withdraw request submitted', '$coin', 0, '$date')";
            mysqli_query($conn, $transaction_query);

            // Response message
            $response = array("status" => "success", "message" => "Withdraw request submitted. Your request will be processed soon.");
            echo json_encode($response);
        } else {
            // User does not have sufficient coins for withdrawal
            $response = array("status" => "error", "message" => "Insufficient coins. You do not have enough coins to make this withdraw request.");
            echo json_encode($response);
        }
    }
}
mysqli_close($conn);
?>
