<?php
// Include database.php file
require_once 'database.php';

// Check if task_name, email, and coin are provided via POST method
if (isset($_POST['task_name']) && isset($_POST['email']) && isset($_POST['coin'])) {
    // Get task_name, email, and coin values
    $taskName = $_POST['task_name'];
    $email = $_POST['email'];
    $coin = $_POST['coin'];

    // Retrieve user ID based on email
    $userQuery = "SELECT id, wallet FROM users WHERE email = '$email'";
    $userResult = $conn->query($userQuery);

    if ($userResult->num_rows > 0) {
        // User found, get the user ID and current wallet balance
        $userData = $userResult->fetch_assoc();
        $userId = $userData['id'];
        $currentWalletBalance = $userData['wallet'];

        // Update user wallet balance
        $newWalletBalance = $currentWalletBalance + $coin;
        $updateQuery = "UPDATE users SET wallet = '$newWalletBalance' WHERE id = '$userId'";

        if ($conn->query($updateQuery) === TRUE) {
            // Wallet updated successfully, now insert reward into rewards table
            $insertRewardQuery = "INSERT INTO rewards (user_id, task_name) VALUES ('$userId', '$taskName')";

            if ($conn->query($insertRewardQuery) === TRUE) {
                // Reward inserted successfully, now insert transaction into transactions table
                $title = "Earned for $taskName";
                $type = 1;
                $currentDate = date("d F, Y");// Current date

                $insertTransactionQuery = "INSERT INTO transactions (user_id, title, coin, type, date) 
                                          VALUES ('$userId', '$title', '$coin', '$type', '$currentDate')";

                if ($conn->query($insertTransactionQuery) === TRUE) {
                    // Transaction inserted successfully
                    $response = [
                        'status' => 'success',
                        'message' => 'Reward and transaction inserted successfully',
                        'wallet_balance' => $newWalletBalance
                    ];
                } else {
                    // Error in inserting transaction
                    $response = [
                        'status' => 'error',
                        'message' => 'Error inserting transaction'
                    ];
                }
            } else {
                // Error in inserting reward
                $response = [
                    'status' => 'error',
                    'message' => 'Error inserting reward'
                ];
            }
        } else {
            // Error in updating user wallet
            $response = [
                'status' => 'error',
                'message' => 'Error updating user wallet'
            ];
        }
    } else {
        // User not found with the provided email
        $response = [
            'status' => 'error',
            'message' => 'User not found'
        ];
    }
} else {
    // Required parameters not provided
    $response = [
        'status' => 'error',
        'message' => 'Invalid request'
    ];
}

// Convert the response to JSON and output it
echo json_encode($response);
?>
