<?php
// Include database.php file
require_once 'database.php';

// Retrieve admin data from the admin table where id = 1
$query = "SELECT id, user_id, user_pass, signup_coin, refer_coin, code_enter_coin, one_dollar_value, cpalead 
          FROM admin
          WHERE id = 1";

$result = $conn->query($query);

if ($result->num_rows > 0) {
    // Admin data found, fetch admin data
    $adminData = $result->fetch_assoc();
    $response = [
        'status' => 'success',
        'message' => 'Admin data retrieved successfully',
        'admin_data' => $adminData
    ];
} else {
    // No admin data found with id = 1
    $response = [
        'status' => 'error',
        'message' => 'Admin data not found'
    ];
}

// Convert the response to JSON and output it
echo json_encode($response);
?>
