<?php
// Include database.php file
require_once 'database.php';

// Check if email is provided via POST method
if (isset($_POST['email'])) {
    // Get email value
    $email = $_POST['email'];

    // Retrieve user_id from the users table based on the provided email
    $userQuery = "SELECT id FROM users WHERE email = '$email'";
    $userResult = $conn->query($userQuery);

    if ($userResult->num_rows > 0) {
        // User with the provided email exists, fetch user_id
        $userData = $userResult->fetch_assoc();
        $user_id = $userData['id'];

        // Retrieve history data from the history table based on user_id
        $query = "SELECT id, user_id, camp_id, camp_coin, camp_title, camp_desc, camp_icon, camp_about, camp_status 
                  FROM history 
                  WHERE user_id = '$user_id'";

        $result = $conn->query($query);

        if ($result->num_rows > 0) {
            // History data found, fetch history data
            $historyData = [];

            while ($row = $result->fetch_assoc()) {
                $historyData[] = $row;
            }

            $response = [
                'status' => 'success',
                'message' => 'History data retrieved successfully',
                'history_data' => $historyData
            ];
        } else {
            // No history data found for the user
            $response = [
                'status' => 'error',
                'message' => 'No history data found for the user'
            ];
        }
    } else {
        // User with the provided email does not exist
        $response = [
            'status' => 'error',
            'message' => 'User with the provided email does not exist'
        ];
    }
} else {
    // Required parameter not provided
    $response = [
        'status' => 'error',
        'message' => 'Invalid request, missing required parameters'
    ];
}

// Convert the response to JSON and output it
echo json_encode($response);
?>
