<?php
include('database.php');

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $refer_by = $_POST['refer_by'];
    $email = $_POST['email'];

    // Get wallet and refer_id from users table where refer_id is the refer_by value
    $sponsor_query = "SELECT wallet, refer_id FROM users WHERE refer_id = '$refer_by'";
    $sponsor_result = mysqli_query($conn, $sponsor_query);

    if (mysqli_num_rows($sponsor_result) > 0) {
        $sponsor_row = mysqli_fetch_array($sponsor_result);
        $sponsor_wallet = $sponsor_row['wallet'];
        $refer_id = $sponsor_row['refer_id'];

        // Update refer_by in users table for the current user
        $update_refer_by_query = "UPDATE users SET refer_by = '$refer_by' WHERE email = '$email'";
        mysqli_query($conn, $update_refer_by_query);

        // Check if the current user has completed any task
        $current_user_query = "SELECT id FROM users WHERE email = '$email'";
        $current_user_result = mysqli_query($conn, $current_user_query);
        $current_user_row = mysqli_fetch_array($current_user_result);
        $user_id = $current_user_row['id'];

        $admin_query = "SELECT min_task, code_enter_coin, refer_coin FROM admin WHERE id = 1";
        $admin_result = mysqli_query($conn, $admin_query);
        $admin_row = mysqli_fetch_array($admin_result);
        $min_task = $admin_row['min_task'];
        $code_enter_coin = $admin_row['code_enter_coin'];
        $refer_coin = $admin_row['refer_coin'];

        // Get completed tasks count from history table
        $completed_tasks_query = "SELECT COUNT(*) AS count FROM history WHERE user_id = '$user_id' AND camp_status = 'true'";
        $completed_tasks_result = mysqli_query($conn, $completed_tasks_query);
        $completed_tasks_row = mysqli_fetch_array($completed_tasks_result);
        $completed_tasks_count = $completed_tasks_row['count'];

        if ($completed_tasks_count >= $min_task) {
            // Update sponsor's wallet with refer_coin
            $updated_sponsor_wallet = $sponsor_wallet + $refer_coin;
            $update_sponsor_wallet_query = "UPDATE users SET wallet = '$updated_sponsor_wallet' WHERE refer_id = '$refer_by'";
            mysqli_query($conn, $update_sponsor_wallet_query);

            // Update current user's wallet with code_enter_coin
            $current_user_wallet_query = "SELECT wallet FROM users WHERE email = '$email'";
            $current_user_wallet_result = mysqli_query($conn, $current_user_wallet_query);
            $current_user_wallet_row = mysqli_fetch_array($current_user_wallet_result);
            $current_user_wallet = $current_user_wallet_row['wallet'];
            $updated_current_user_wallet = $current_user_wallet + $code_enter_coin;

            $update_current_user_wallet_query = "UPDATE users SET wallet = '$updated_current_user_wallet' WHERE email = '$email'";
            mysqli_query($conn, $update_current_user_wallet_query);

            // Insert transaction for current user
            $date = date("Y-m-d");
            $transaction_query = "INSERT INTO transactions (user_id, title, coin, type, date) VALUES ('$user_id', 'Earned for enter refer code', '$code_enter_coin', 1, '$date')";
            mysqli_query($conn, $transaction_query);

            // Insert transaction for sponsor user
            $sponsor_user_id_query = "SELECT id FROM users WHERE refer_id = '$refer_by'";
            $sponsor_user_id_result = mysqli_query($conn, $sponsor_user_id_query);
            $sponsor_user_id_row = mysqli_fetch_array($sponsor_user_id_result);
            $sponsor_user_id = $sponsor_user_id_row['id'];

            $sponsor_transaction_query = "INSERT INTO transactions (user_id, title, coin, type, date) VALUES ('$sponsor_user_id', 'Earned for referring friend', '$refer_coin', 1, '$date')";
            mysqli_query($conn, $sponsor_transaction_query);

            // Response success message
            $response = array("status" => "success", "message" => "Congratulations, Refer id added to your account and you just get rewarded!");
            echo json_encode($response);
        } else {
            // Response error message
            $response = array("status" => "success", "message" => "Refer id added to your account successfully complete minimum $min_task task to get reward.");
            echo json_encode($response);
        }
    } else {
        // Response error message
        $response = array("status" => "error", "message" => "Please enter vaild refer id");
        echo json_encode($response);
    }
}

mysqli_close($conn);
?>
